﻿
@model SportsClub.Models.InsuranceInformationViewModel

@{
    ViewBag.Title = "   Insurance information";
    ViewBag.IsRegistrantReport = true;
}
@using (Html.BeginForm("FamilyInsurance", "Registrant", FormMethod.Post, new { @id = "FamilyInsurance", @name = "myForm" }))
{
    @Html.AntiForgeryToken()
    <div class="container">

        <div class="title-page">
            <h1>
                 Insurance
            </h1>
        </div>

        <div class="wrapper">
            <div id="wrapper-title">
                <span>
              
                </span>
            </div>
            <div class="wrapper-content">
                <div id="resultTarget">
                    @Html.Partial("_FamilyInsurance", Model)
                </div>
            </div>
        </div>


    </div>




}

@section scripts {
@Scripts.Render("~/bundles/Scripts/Common/Utilities/Mask/js");
    <script>
        function EditDetailsPlayer() {
            var newUrl = '@Url.Action("GetFamiliesProfile", "Registrant")';
            var form = $("#FamilyInsurance");
            var formData = form.serialize();
            $.ajax({
                type: 'Post',
                data: formData,
                url: "/Registrant/FamilyInsurance",
                cache: false,
                success: function (data) {
                    if (data.Status) {
                        window.location.href = newUrl;
                    }
                    else { $("#resultTarget").html(data); }
                },
                error: function (req) {
                    unblockUI();
                }
            });

            return false;
        }




    </script>

}
